Skip to main content
GET
Get quote limits

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Path Parameters

account_id
string
required

Globally unique public identifier for an account.

Required string length: 14 - 42

Query Parameters

from_symbol
string
required

Source asset ticker symbol. Symbol identifying an asset within its asset category.

Required string length: 1 - 16
from_type
enum<string>
required

Classification of the source asset. Asset classifications currently supported by Swap trading endpoints.

Available options:
fiat,
crypto,
xstock,
stablecoin
to_symbol
string
required

Destination asset ticker symbol. Symbol identifying an asset within its asset category.

Required string length: 1 - 16
to_type
enum<string>
required

Classification of the destination asset. Asset classifications currently supported by Swap trading endpoints.

Available options:
fiat,
crypto,
xstock,
stablecoin
amount_side
enum<string>
required

Side whose amount will be fixed when creating the quote and whose asset denominates the returned limits. Side whose asset denominates the requested quote limits.

Available options:
from,
to

Response

data
object
required

Effective point-in-time limits for the selected amount side.